Skip to main content
POST
/
discounts
/
{discountId}
/
codes
Create discount codes
curl --request POST \
  --url https://api.example.com/discounts/{discountId}/codes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '
{
  "numberOfCodes": 123,
  "syntax": "<string>",
  "usageLimit": 123
}
'
import requests

url = "https://api.example.com/discounts/{discountId}/codes"

payload = {
"numberOfCodes": 123,
"syntax": "<string>",
"usageLimit": 123
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({numberOfCodes: 123, syntax: '<string>', usageLimit: 123})
};

fetch('https://api.example.com/discounts/{discountId}/codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Path Parameters

discountId
string<uuid>
required

Id of discount to associate the discount codes.

Body

application/json

Request body.

numberOfCodes
integer<int32>
required

Number of codes to generate, between 1 and 1.000. Call endpoint to generate more codes.

syntax
string | null

Specifies a syntax to build each code around. Example 'ABC-{code}' will generate codes like 'ABC-a1g2e3g4'.

usageLimit
integer<int32> | null

Maximum amount of times this discount code. This is an overall limit, rather than a per-customer limit.

Response

OK